## ros-galactic-log-view 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(log_view)

add_compile_options(-std=c++11)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcl_interfaces REQUIRED)

set(CURSES_NEED_NCURSES TRUE)
find_package(Curses REQUIRED)
find_library(CURSES_PANEL_LIBRARY NAMES panel)

###########
## Build ##
###########

include_directories(
  include
  ${CURSES_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/log_filter.cpp
  src/log_store.cpp
  src/log_view.cpp
  src/panel_interface.cpp
  src/utils.cpp
  src/panels/exclude_panel.cpp
  src/panels/filter_panel.cpp
  src/panels/help_panel.cpp
  src/panels/level_panel.cpp
  src/panels/log_panel.cpp
  src/panels/node_panel.cpp
  src/panels/search_panel.cpp
  src/panels/status_panel.cpp
)
target_link_libraries(${PROJECT_NAME} ${CURSES_LIBRARIES} ${CURSES_PANEL_LIBRARY})
ament_target_dependencies(${PROJECT_NAME}
  rclcpp
  rcl_interfaces
)

add_executable(log_viewer src/main.cpp)
target_link_libraries(log_viewer ${PROJECT_NAME})

#############
## Install ##
#############

install(TARGETS ${PROJECT_NAME} log_viewer
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(rclcpp rcl_interfaces)
ament_package()

=== debian/changelog ===
ros-galactic-log-view (0.2.2-1focal) focal; urgency=high

  * Improve message handling so that log messages are not dropped. (#8 <https://github.com/hatchbed/log_view/issues/8>)
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Sat, 30 Jul 2022 05:00:00 -0000

ros-galactic-log-view (0.2.1-1focal) focal; urgency=high

  * Remove unused boost include.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Thu, 07 Jul 2022 05:00:00 -0000

ros-galactic-log-view (0.2.0-1focal) focal; urgency=high

  * Port to ROS2
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Mon, 04 Jul 2022 05:00:00 -0000

ros-galactic-log-view (0.1.3-1focal) focal; urgency=high

  * Prevent help screen text from wrapping.
  * Make help screen modal.
  * Add keybindings for selecting all nodes and inverting the node selection.
  * Update README.
  * Fix compiler warnings.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Mon, 01 Mar 2021 06:00:00 -0000

ros-galactic-log-view (0.1.2-1focal) focal; urgency=high

  * Install binary log_viewer to package destination instead of global destination.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Thu, 26 Nov 2020 06:00:00 -0000

ros-galactic-log-view (0.1.1-1focal) focal; urgency=high

  * Fixes for build farm.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Tue, 24 Nov 2020 06:00:00 -0000

ros-galactic-log-view (0.1.0-1focal) focal; urgency=high

  * Initial working version.
  * Initial code.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Sun, 22 Nov 2020 06:00:00 -0000

=== debian/control ===
Source: ros-galactic-log-view
Section: misc
Priority: optional
Maintainer: Marc Alban <marcalban@hatchbed.com>
Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, ros-galactic-ament-cmake, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-log-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libncurses5-dev, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, xclip, ros-galactic-ros-workspace
Description: The log_view package provides a ncurses based terminal GUI for viewing and filtering published ROS log messages.
 This is an alternative to rqt_console and swri_console that doesn't depend on qt and can be run directly in a terminal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-log-view//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
